On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteThe unique external identifier of the subscription
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api-m.sandbox.paypal.com/v1/commerce/billing/subscriptions/5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba" \ -H "Content-Type: application/json" \ -d '{}'{
"name": "Subscription_External",
"external_customer_id": "5eb02857-a71e-4ea2-bcf9-1753840218",
"external_id": "Subscription_External_1",
"plan_code": "Plan-Code-1753840215",
"billing_time": "ANNIVERSARY",
"status": "ACTIVE",
"plan_overrides": {
"amount": {
"value": 20,
"currency_code": "USD"
},
"name": "Plan-Name-_1753840215",
"trial_period": 14,
"charges": [
{
"id": "99fa7a6b-d005-43a5-8bab-0df7a2a721fb",
"metric_id": "d0682999-67a0-418e-b29b-3757426db01f",
"charge_model": "STANDARD",
"properties": {
"amount": "100.15"
},
"min_amount": {
"value": 200,
"currency_code": "USD"
}
}
]
},
"start_date": "2025-07-30T01:54:40Z",
"end_date": "2025-09-09T04:26:24Z",
"current_period_start": "2025-07-30T01:54:40Z",
"current_period_end": "2025-08-05T23:59:59Z",
"id": "b71befc2-4799-402c-9d13-ca1f72759c64"
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"debug_id": "dc99e3955cdd8",
"details": [
{
"field": "/email",
"value": "abc",
"location": "body",
"issue": "INVALID_PARAMETER_VALUE",
"description": "The value of a field does not conform to the expected format."
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "string",
"issue": "string",
"description": "string"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}The name of the subscription.
date-timedate-time"PENDING" | "ACTIVE" | "TERMINATED" | "CANCELED"